## Check AI Agent Name Availability

### Endpoint

POST /v2.0/aiagents/validatename

### Request Example

**cURL**

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/aiagents/validatename \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '\n{\n  "name": "<string>",\n  "projectId": "<string>"\n}'
```

**Python**

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/aiagents/validatename"

payload = {
    "name": "<string>",
    "projectId": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

**JavaScript (Fetch)**

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', projectId: '<string>'})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/aiagents/validatename', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/aiagents/validatename",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'name' => '<string>',\
    'projectId' => '<string>'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error ":" . $err;
} else {
  echo $response;
}
```

### Response Codes

- **204**: The AI Agent name can be used.
- **400**: Bad Request - Validation failed. Missing payload.
- **401**: Unauthorized - Invalid API key.
- **402**: Payment Required - Validation failed due to insufficient payment.
- **403**: Forbidden - Access denied.
- **404**: Not Found - Resource not found.
- **500**: Internal Server Error - Server encountered an error.
- **503**: Service Unavailable - Server is currently unable to handle the request.
